SDL_StopHapticEffect(3)

NAME
SDL_StopHapticEffect - Stop the haptic effect on its associated haptic device.

HEADER FILE
Defined in SDL3/SDL_haptic.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_StopHapticEffect(SDL_Haptic *haptic, int effect);

FUNCTION PARAMETERS

haptic
    the SDL_Haptic
     device to stop the effect on

effect
    the ID of the haptic effect to stop

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_RunHapticEffect(3), SDL_StopHapticEffects(3)